Loading...
Searching...
No Matches
BALL::AStarBondOrderStrategy Class Reference

`#include <BALL/STRUCTURE/BONDORDERS/AStarBondOrderStrategy.h>`

Inheritance diagram for BALL::AStarBondOrderStrategy:

## Classes

struct | Option
| Option names. More...
struct | Default
struct | Heuristic

## Constant Definitions

PartialBondOrderAssignment::HEURISTIC_INDEX | heuristic_index_
| The chosen heuristic.
std::priority_queue< PartialBondOrderAssignment > | queue_
int | step_
| The priority queue.
| AStarBondOrderStrategy (AssignBondOrderProcessor *parent)
virtual | ~AStarBondOrderStrategy ()
virtual void | clear ()
virtual void | init ()
virtual bool | readOptions (const Options &options)
virtual void | setDefaultOptions ()
virtual boost::shared_ptr< BondOrderAssignment > | computeNextSolution ()

## Additional Inherited Members

Public Member Functions inherited from BALL::BondOrderAssignmentStrategy
| BondOrderAssignmentStrategy (AssignBondOrderProcessor *parent)
Public Attributes inherited from BALL::BondOrderAssignmentStrategy
AssignBondOrderProcessor * | abop
| Our parent processor.

## Detailed Description

AStar algorithm for bond order assignment.

This class implements an AStar approach for the bond order assignment problem that can be used by the AssignBondOrderProcessor .

Definition at line 30 of file AStarBondOrderStrategy.h.

## Constructor & Destructor Documentation

## AStarBondOrderStrategy()

BALL::AStarBondOrderStrategy::AStarBondOrderStrategy | ( | AssignBondOrderProcessor * | parent | ) |

## ~AStarBondOrderStrategy()

virtual BALL::AStarBondOrderStrategy::~AStarBondOrderStrategy | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::AStarBondOrderStrategy::clear | ( |  | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

Reimplemented in BALL::BranchAndBoundBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## computeNextSolution()

virtual boost::shared_ptr< BondOrderAssignment > BALL::AStarBondOrderStrategy::computeNextSolution | ( |  | ) |

virtual

Implements BALL::BondOrderAssignmentStrategy.

Reimplemented in BALL::BranchAndBoundBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## init()

virtual void BALL::AStarBondOrderStrategy::init | ( |  | ) |

virtual

Implements BALL::BondOrderAssignmentStrategy.

Reimplemented in BALL::BranchAndBoundBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## readOptions()

virtual bool BALL::AStarBondOrderStrategy::readOptions | ( | const Options & | options | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

Reimplemented in BALL::BranchAndBoundBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## setDefaultOptions()

virtual void BALL::AStarBondOrderStrategy::setDefaultOptions | ( |  | ) |

virtual

Reimplemented from BALL::BondOrderAssignmentStrategy.

Reimplemented in BALL::BranchAndBoundBondOrderStrategy, and BALL::KGreedyBondOrderStrategy.

## Member Data Documentation

## heuristic_index_

PartialBondOrderAssignment::HEURISTIC_INDEX BALL::AStarBondOrderStrategy::heuristic_index_

protected

The chosen heuristic.

Definition at line 78 of file AStarBondOrderStrategy.h.

## queue_

std::priority_queue<PartialBondOrderAssignment> BALL::AStarBondOrderStrategy::queue_

protected

Definition at line 80 of file AStarBondOrderStrategy.h.

## step_

int BALL::AStarBondOrderStrategy::step_

protected

The priority queue.

Definition at line 85 of file AStarBondOrderStrategy.h.